/* unified_props.c generated by valac 0.56.17, the Vala compiler
 * generated from unified_props.vala, do not modify */

/*
Copyright Buddies of Budgie

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

#include <glib-object.h>
#include <glib.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <gdk/gdk.h>
#include <gtk/gtk.h>

#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif
#if !defined(VALA_EXTERN)
#if defined(_MSC_VER)
#define VALA_EXTERN __declspec(dllexport) extern
#elif __GNUC__ >= 4
#define VALA_EXTERN __attribute__((visibility("default"))) extern
#else
#define VALA_EXTERN extern
#endif
#endif

typedef enum  {
	CLICK_POLICY_TYPE_SINGLE = 1,
	CLICK_POLICY_TYPE_DOUBLE = 2
} ClickPolicyType;

#define TYPE_CLICK_POLICY_TYPE (click_policy_type_get_type ())

#define TYPE_UNIFIED_PROPS (unified_props_get_type ())
#define UNIFIED_PROPS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_UNIFIED_PROPS, UnifiedProps))
#define UNIFIED_PROPS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_UNIFIED_PROPS, UnifiedPropsClass))
#define IS_UNIFIED_PROPS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_UNIFIED_PROPS))
#define IS_UNIFIED_PROPS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_UNIFIED_PROPS))
#define UNIFIED_PROPS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_UNIFIED_PROPS, UnifiedPropsClass))

typedef struct _UnifiedProps UnifiedProps;
typedef struct _UnifiedPropsClass UnifiedPropsClass;
typedef struct _UnifiedPropsPrivate UnifiedPropsPrivate;

#define TYPE_FILE_MENU (file_menu_get_type ())
#define FILE_MENU(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_FILE_MENU, FileMenu))
#define FILE_MENU_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_FILE_MENU, FileMenuClass))
#define IS_FILE_MENU(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_FILE_MENU))
#define IS_FILE_MENU_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_FILE_MENU))
#define FILE_MENU_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_FILE_MENU, FileMenuClass))

typedef struct _FileMenu FileMenu;
typedef struct _FileMenuClass FileMenuClass;
enum  {
	UNIFIED_PROPS_0_PROPERTY,
	UNIFIED_PROPS_DESKTOP_SETTINGS_PROPERTY,
	UNIFIED_PROPS_IS_SINGLE_CLICK_PROPERTY,
	UNIFIED_PROPS_MAX_THUMBNAIL_SIZE_PROPERTY,
	UNIFIED_PROPS_CURRENT_CURSOR_PROPERTY,
	UNIFIED_PROPS_PREVIOUS_CURSOR_PROPERTY,
	UNIFIED_PROPS_NUM_PROPERTIES
};
static GParamSpec* unified_props_properties[UNIFIED_PROPS_NUM_PROPERTIES];
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) ((var == NULL) ? NULL : (var = (g_free (var), NULL)))
enum  {
	UNIFIED_PROPS_CURSOR_CHANGED_SIGNAL,
	UNIFIED_PROPS_THUMBNAIL_SIZE_CHANGED_SIGNAL,
	UNIFIED_PROPS_NUM_SIGNALS
};
static guint unified_props_signals[UNIFIED_PROPS_NUM_SIGNALS] = {0};

struct _UnifiedProps {
	GObject parent_instance;
	UnifiedPropsPrivate * priv;
	GHashTable* files_currently_copying;
	gboolean is_launching;
	GdkCursor* blocked_cursor;
	GdkCursor* hand_cursor;
	GdkCursor* loading_cursor;
	GdkAppLaunchContext* launch_context;
	FileMenu* file_menu;
	GtkIconTheme* icon_theme;
	gint* icon_size;
	gint* s_factor;
};

struct _UnifiedPropsClass {
	GObjectClass parent_class;
};

struct _UnifiedPropsPrivate {
	GSettings* _settings;
	gboolean _is_single_click;
	gint _max_thumbnail_size;
	GdkCursor* _previous_cursor;
	GdkCursor* _current_cursor;
};

static gint UnifiedProps_private_offset;
static gpointer unified_props_parent_class = NULL;

VALA_EXTERN GType click_policy_type_get_type (void) G_GNUC_CONST ;
VALA_EXTERN GType unified_props_get_type (void) G_GNUC_CONST ;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (UnifiedProps, g_object_unref)
VALA_EXTERN GType file_menu_get_type (void) G_GNUC_CONST ;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (FileMenu, g_object_unref)
VALA_EXTERN UnifiedProps* unified_props_new (void);
VALA_EXTERN UnifiedProps* unified_props_construct (GType object_type);
static void _g_free0_ (gpointer var);
static void _g_object_unref0_ (gpointer var);
VALA_EXTERN gboolean unified_props_is_copying (UnifiedProps* self,
                                   const gchar* file_name);
VALA_EXTERN gboolean unified_props_is_desired_primary_click_type (UnifiedProps* self,
                                                      GdkEventButton* ev);
static void unified_props_update_click_policy (UnifiedProps* self);
static void unified_props_update_max_thumbnail_size (UnifiedProps* self);
VALA_EXTERN GSettings* unified_props_get_desktop_settings (UnifiedProps* self);
VALA_EXTERN void unified_props_set_desktop_settings (UnifiedProps* self,
                                         GSettings* value);
static void _unified_props_update_click_policy_g_settings_changed (GSettings* _sender,
                                                            const gchar* key,
                                                            gpointer self);
static void _unified_props_desktop_settings___lambda5_ (UnifiedProps* self);
static void __unified_props_desktop_settings___lambda5__g_settings_changed (GSettings* _sender,
                                                                     const gchar* key,
                                                                     gpointer self);
VALA_EXTERN gboolean unified_props_get_is_single_click (UnifiedProps* self);
VALA_EXTERN gint unified_props_get_max_thumbnail_size (UnifiedProps* self);
VALA_EXTERN GdkCursor* unified_props_get_current_cursor (UnifiedProps* self);
VALA_EXTERN void unified_props_set_current_cursor (UnifiedProps* self,
                                       GdkCursor* value);
VALA_EXTERN GdkCursor* unified_props_get_previous_cursor (UnifiedProps* self);
static void unified_props_finalize (GObject * obj);
static GType unified_props_get_type_once (void);
static void _vala_unified_props_get_property (GObject * object,
                                       guint property_id,
                                       GValue * value,
                                       GParamSpec * pspec);
static void _vala_unified_props_set_property (GObject * object,
                                       guint property_id,
                                       const GValue * value,
                                       GParamSpec * pspec);

 G_GNUC_NO_INLINE static GType
click_policy_type_get_type_once (void)
{
	static const GEnumValue values[] = {{CLICK_POLICY_TYPE_SINGLE, "CLICK_POLICY_TYPE_SINGLE", "single"}, {CLICK_POLICY_TYPE_DOUBLE, "CLICK_POLICY_TYPE_DOUBLE", "double"}, {0, NULL, NULL}};
	GType click_policy_type_type_id;
	click_policy_type_type_id = g_enum_register_static ("ClickPolicyType", values);
	return click_policy_type_type_id;
}

GType
click_policy_type_get_type (void)
{
	static volatile gsize click_policy_type_type_id__once = 0;
	if (g_once_init_enter (&click_policy_type_type_id__once)) {
		GType click_policy_type_type_id;
		click_policy_type_type_id = click_policy_type_get_type_once ();
		g_once_init_leave (&click_policy_type_type_id__once, click_policy_type_type_id);
	}
	return click_policy_type_type_id__once;
}

static inline gpointer
unified_props_get_instance_private (UnifiedProps* self)
{
	return G_STRUCT_MEMBER_P (self, UnifiedProps_private_offset);
}

static void
_g_free0_ (gpointer var)
{
#line 53 "../src/unified_props.vala"
	var = (g_free (var), NULL);
#line 198 "unified_props.c"
}

static void
_g_object_unref0_ (gpointer var)
{
#line 53 "../src/unified_props.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 206 "unified_props.c"
}

UnifiedProps*
unified_props_construct (GType object_type)
{
	UnifiedProps * self = NULL;
	GHashFunc _tmp0_;
	GEqualFunc _tmp1_;
	GHashTable* _tmp2_;
#line 52 "../src/unified_props.vala"
	self = (UnifiedProps*) g_object_new (object_type, NULL);
#line 53 "../src/unified_props.vala"
	_tmp0_ = g_str_hash;
#line 53 "../src/unified_props.vala"
	_tmp1_ = g_str_equal;
#line 53 "../src/unified_props.vala"
	_tmp2_ = g_hash_table_new_full (_tmp0_, _tmp1_, _g_free0_, _g_object_unref0_);
#line 53 "../src/unified_props.vala"
	_g_hash_table_unref0 (self->files_currently_copying);
#line 53 "../src/unified_props.vala"
	self->files_currently_copying = _tmp2_;
#line 54 "../src/unified_props.vala"
	self->is_launching = FALSE;
#line 55 "../src/unified_props.vala"
	self->priv->_is_single_click = TRUE;
#line 56 "../src/unified_props.vala"
	self->priv->_max_thumbnail_size = 10;
#line 52 "../src/unified_props.vala"
	return self;
#line 236 "unified_props.c"
}

UnifiedProps*
unified_props_new (void)
{
#line 52 "../src/unified_props.vala"
	return unified_props_construct (TYPE_UNIFIED_PROPS);
#line 244 "unified_props.c"
}

gboolean
unified_props_is_copying (UnifiedProps* self,
                          const gchar* file_name)
{
	GHashTable* _tmp0_;
	gboolean result;
#line 107 "../src/unified_props.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 107 "../src/unified_props.vala"
	g_return_val_if_fail (file_name != NULL, FALSE);
#line 108 "../src/unified_props.vala"
	_tmp0_ = self->files_currently_copying;
#line 108 "../src/unified_props.vala"
	result = g_hash_table_contains (_tmp0_, file_name);
#line 108 "../src/unified_props.vala"
	return result;
#line 263 "unified_props.c"
}

gboolean
unified_props_is_desired_primary_click_type (UnifiedProps* self,
                                             GdkEventButton* ev)
{
	gboolean _tmp0_ = FALSE;
	gboolean result;
#line 112 "../src/unified_props.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 112 "../src/unified_props.vala"
	g_return_val_if_fail (ev != NULL, FALSE);
#line 113 "../src/unified_props.vala"
	if (ev->button != ((guint) 1)) {
#line 114 "../src/unified_props.vala"
		result = FALSE;
#line 114 "../src/unified_props.vala"
		return result;
#line 282 "unified_props.c"
	}
#line 117 "../src/unified_props.vala"
	if (self->priv->_is_single_click) {
#line 117 "../src/unified_props.vala"
		_tmp0_ = TRUE;
#line 288 "unified_props.c"
	} else {
#line 117 "../src/unified_props.vala"
		_tmp0_ = ev->type == GDK_DOUBLE_BUTTON_PRESS;
#line 292 "unified_props.c"
	}
#line 117 "../src/unified_props.vala"
	result = _tmp0_;
#line 117 "../src/unified_props.vala"
	return result;
#line 298 "unified_props.c"
}

static void
unified_props_update_click_policy (UnifiedProps* self)
{
	ClickPolicyType policy = 0;
	GSettings* _tmp0_;
#line 121 "../src/unified_props.vala"
	g_return_if_fail (self != NULL);
#line 122 "../src/unified_props.vala"
	_tmp0_ = self->priv->_settings;
#line 122 "../src/unified_props.vala"
	policy = (ClickPolicyType) g_settings_get_enum (_tmp0_, "click-policy");
#line 123 "../src/unified_props.vala"
	self->priv->_is_single_click = policy == CLICK_POLICY_TYPE_SINGLE;
#line 314 "unified_props.c"
}

static void
unified_props_update_max_thumbnail_size (UnifiedProps* self)
{
	GSettings* _tmp0_;
#line 127 "../src/unified_props.vala"
	g_return_if_fail (self != NULL);
#line 128 "../src/unified_props.vala"
	_tmp0_ = self->priv->_settings;
#line 128 "../src/unified_props.vala"
	self->priv->_max_thumbnail_size = g_settings_get_int (_tmp0_, "max-thumbnail-size");
#line 327 "unified_props.c"
}

GSettings*
unified_props_get_desktop_settings (UnifiedProps* self)
{
	GSettings* result;
	GSettings* _tmp0_;
#line 60 "../src/unified_props.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 61 "../src/unified_props.vala"
	_tmp0_ = self->priv->_settings;
#line 61 "../src/unified_props.vala"
	result = _tmp0_;
#line 61 "../src/unified_props.vala"
	return result;
#line 343 "unified_props.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 65 "../src/unified_props.vala"
	return self ? g_object_ref (self) : NULL;
#line 351 "unified_props.c"
}

static void
_unified_props_update_click_policy_g_settings_changed (GSettings* _sender,
                                                       const gchar* key,
                                                       gpointer self)
{
#line 68 "../src/unified_props.vala"
	unified_props_update_click_policy ((UnifiedProps*) self);
#line 361 "unified_props.c"
}

static void
_unified_props_desktop_settings___lambda5_ (UnifiedProps* self)
{
#line 70 "../src/unified_props.vala"
	unified_props_update_max_thumbnail_size (self);
#line 71 "../src/unified_props.vala"
	g_signal_emit (self, unified_props_signals[UNIFIED_PROPS_THUMBNAIL_SIZE_CHANGED_SIGNAL], 0);
#line 371 "unified_props.c"
}

static void
__unified_props_desktop_settings___lambda5__g_settings_changed (GSettings* _sender,
                                                                const gchar* key,
                                                                gpointer self)
{
#line 69 "../src/unified_props.vala"
	_unified_props_desktop_settings___lambda5_ ((UnifiedProps*) self);
#line 381 "unified_props.c"
}

void
unified_props_set_desktop_settings (UnifiedProps* self,
                                    GSettings* value)
{
	GSettings* _tmp0_;
	GSettings* _tmp1_;
	GSettings* _tmp2_;
#line 64 "../src/unified_props.vala"
	g_return_if_fail (self != NULL);
#line 65 "../src/unified_props.vala"
	_tmp0_ = _g_object_ref0 (value);
#line 65 "../src/unified_props.vala"
	_g_object_unref0 (self->priv->_settings);
#line 65 "../src/unified_props.vala"
	self->priv->_settings = _tmp0_;
#line 66 "../src/unified_props.vala"
	unified_props_update_max_thumbnail_size (self);
#line 67 "../src/unified_props.vala"
	unified_props_update_click_policy (self);
#line 68 "../src/unified_props.vala"
	_tmp1_ = self->priv->_settings;
#line 68 "../src/unified_props.vala"
	g_signal_connect_object (_tmp1_, "changed::click-policy", (GCallback) _unified_props_update_click_policy_g_settings_changed, self, 0);
#line 69 "../src/unified_props.vala"
	_tmp2_ = self->priv->_settings;
#line 69 "../src/unified_props.vala"
	g_signal_connect_object (_tmp2_, "changed::max-thumbnail-size", (GCallback) __unified_props_desktop_settings___lambda5__g_settings_changed, self, 0);
#line 64 "../src/unified_props.vala"
	g_object_notify_by_pspec ((GObject *) self, unified_props_properties[UNIFIED_PROPS_DESKTOP_SETTINGS_PROPERTY]);
#line 413 "unified_props.c"
}

gboolean
unified_props_get_is_single_click (UnifiedProps* self)
{
	gboolean result;
#line 77 "../src/unified_props.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 78 "../src/unified_props.vala"
	result = self->priv->_is_single_click;
#line 78 "../src/unified_props.vala"
	return result;
#line 426 "unified_props.c"
}

gint
unified_props_get_max_thumbnail_size (UnifiedProps* self)
{
	gint result;
#line 83 "../src/unified_props.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 84 "../src/unified_props.vala"
	result = self->priv->_max_thumbnail_size;
#line 84 "../src/unified_props.vala"
	return result;
#line 439 "unified_props.c"
}

GdkCursor*
unified_props_get_current_cursor (UnifiedProps* self)
{
	GdkCursor* result;
	GdkCursor* _tmp0_;
#line 89 "../src/unified_props.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 90 "../src/unified_props.vala"
	_tmp0_ = self->priv->_current_cursor;
#line 90 "../src/unified_props.vala"
	result = _tmp0_;
#line 90 "../src/unified_props.vala"
	return result;
#line 455 "unified_props.c"
}

void
unified_props_set_current_cursor (UnifiedProps* self,
                                  GdkCursor* value)
{
	GdkCursor* _tmp0_;
	GdkCursor* _tmp1_;
	GdkCursor* _tmp2_;
	GdkCursor* _tmp3_;
#line 93 "../src/unified_props.vala"
	g_return_if_fail (self != NULL);
#line 94 "../src/unified_props.vala"
	_tmp0_ = self->priv->_current_cursor;
#line 94 "../src/unified_props.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 94 "../src/unified_props.vala"
	_g_object_unref0 (self->priv->_previous_cursor);
#line 94 "../src/unified_props.vala"
	self->priv->_previous_cursor = _tmp1_;
#line 95 "../src/unified_props.vala"
	_tmp2_ = _g_object_ref0 (value);
#line 95 "../src/unified_props.vala"
	_g_object_unref0 (self->priv->_current_cursor);
#line 95 "../src/unified_props.vala"
	self->priv->_current_cursor = _tmp2_;
#line 96 "../src/unified_props.vala"
	_tmp3_ = self->priv->_current_cursor;
#line 96 "../src/unified_props.vala"
	if (_tmp3_ != NULL) {
#line 486 "unified_props.c"
		GdkCursor* _tmp4_;
#line 96 "../src/unified_props.vala"
		_tmp4_ = self->priv->_current_cursor;
#line 96 "../src/unified_props.vala"
		g_signal_emit (self, unified_props_signals[UNIFIED_PROPS_CURSOR_CHANGED_SIGNAL], 0, _tmp4_);
#line 492 "unified_props.c"
	}
#line 93 "../src/unified_props.vala"
	g_object_notify_by_pspec ((GObject *) self, unified_props_properties[UNIFIED_PROPS_CURRENT_CURSOR_PROPERTY]);
#line 496 "unified_props.c"
}

GdkCursor*
unified_props_get_previous_cursor (UnifiedProps* self)
{
	GdkCursor* result;
	GdkCursor* _tmp0_;
#line 101 "../src/unified_props.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 102 "../src/unified_props.vala"
	_tmp0_ = self->priv->_previous_cursor;
#line 102 "../src/unified_props.vala"
	result = _tmp0_;
#line 102 "../src/unified_props.vala"
	return result;
#line 512 "unified_props.c"
}

static void
unified_props_class_init (UnifiedPropsClass * klass,
                          gpointer klass_data)
{
#line 26 "../src/unified_props.vala"
	unified_props_parent_class = g_type_class_peek_parent (klass);
#line 26 "../src/unified_props.vala"
	g_type_class_adjust_private_offset (klass, &UnifiedProps_private_offset);
#line 26 "../src/unified_props.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_unified_props_get_property;
#line 26 "../src/unified_props.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_unified_props_set_property;
#line 26 "../src/unified_props.vala"
	G_OBJECT_CLASS (klass)->finalize = unified_props_finalize;
#line 26 "../src/unified_props.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), UNIFIED_PROPS_DESKTOP_SETTINGS_PROPERTY, unified_props_properties[UNIFIED_PROPS_DESKTOP_SETTINGS_PROPERTY] = g_param_spec_object ("desktop-settings", "desktop-settings", "desktop-settings", g_settings_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 26 "../src/unified_props.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), UNIFIED_PROPS_IS_SINGLE_CLICK_PROPERTY, unified_props_properties[UNIFIED_PROPS_IS_SINGLE_CLICK_PROPERTY] = g_param_spec_boolean ("is-single-click", "is-single-click", "is-single-click", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 26 "../src/unified_props.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), UNIFIED_PROPS_MAX_THUMBNAIL_SIZE_PROPERTY, unified_props_properties[UNIFIED_PROPS_MAX_THUMBNAIL_SIZE_PROPERTY] = g_param_spec_int ("max-thumbnail-size", "max-thumbnail-size", "max-thumbnail-size", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 26 "../src/unified_props.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), UNIFIED_PROPS_CURRENT_CURSOR_PROPERTY, unified_props_properties[UNIFIED_PROPS_CURRENT_CURSOR_PROPERTY] = g_param_spec_object ("current-cursor", "current-cursor", "current-cursor", gdk_cursor_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 26 "../src/unified_props.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), UNIFIED_PROPS_PREVIOUS_CURSOR_PROPERTY, unified_props_properties[UNIFIED_PROPS_PREVIOUS_CURSOR_PROPERTY] = g_param_spec_object ("previous-cursor", "previous-cursor", "previous-cursor", gdk_cursor_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 26 "../src/unified_props.vala"
	unified_props_signals[UNIFIED_PROPS_CURSOR_CHANGED_SIGNAL] = g_signal_new ("cursor-changed", TYPE_UNIFIED_PROPS, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, gdk_cursor_get_type ());
#line 26 "../src/unified_props.vala"
	unified_props_signals[UNIFIED_PROPS_THUMBNAIL_SIZE_CHANGED_SIGNAL] = g_signal_new ("thumbnail-size-changed", TYPE_UNIFIED_PROPS, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 543 "unified_props.c"
}

static void
unified_props_instance_init (UnifiedProps * self,
                             gpointer klass)
{
#line 26 "../src/unified_props.vala"
	self->priv = unified_props_get_instance_private (self);
#line 552 "unified_props.c"
}

static void
unified_props_finalize (GObject * obj)
{
	UnifiedProps * self;
#line 26 "../src/unified_props.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_UNIFIED_PROPS, UnifiedProps);
#line 27 "../src/unified_props.vala"
	_g_hash_table_unref0 (self->files_currently_copying);
#line 31 "../src/unified_props.vala"
	_g_object_unref0 (self->priv->_settings);
#line 35 "../src/unified_props.vala"
	_g_object_unref0 (self->priv->_previous_cursor);
#line 36 "../src/unified_props.vala"
	_g_object_unref0 (self->priv->_current_cursor);
#line 37 "../src/unified_props.vala"
	_g_object_unref0 (self->blocked_cursor);
#line 38 "../src/unified_props.vala"
	_g_object_unref0 (self->hand_cursor);
#line 39 "../src/unified_props.vala"
	_g_object_unref0 (self->loading_cursor);
#line 41 "../src/unified_props.vala"
	_g_object_unref0 (self->launch_context);
#line 42 "../src/unified_props.vala"
	_g_object_unref0 (self->file_menu);
#line 43 "../src/unified_props.vala"
	_g_object_unref0 (self->icon_theme);
#line 44 "../src/unified_props.vala"
	_g_free0 (self->icon_size);
#line 45 "../src/unified_props.vala"
	_g_free0 (self->s_factor);
#line 26 "../src/unified_props.vala"
	G_OBJECT_CLASS (unified_props_parent_class)->finalize (obj);
#line 587 "unified_props.c"
}

 G_GNUC_NO_INLINE static GType
unified_props_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (UnifiedPropsClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) unified_props_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (UnifiedProps), 0, (GInstanceInitFunc) unified_props_instance_init, NULL };
	GType unified_props_type_id;
	unified_props_type_id = g_type_register_static (G_TYPE_OBJECT, "UnifiedProps", &g_define_type_info, 0);
	UnifiedProps_private_offset = g_type_add_instance_private (unified_props_type_id, sizeof (UnifiedPropsPrivate));
	return unified_props_type_id;
}

GType
unified_props_get_type (void)
{
	static volatile gsize unified_props_type_id__once = 0;
	if (g_once_init_enter (&unified_props_type_id__once)) {
		GType unified_props_type_id;
		unified_props_type_id = unified_props_get_type_once ();
		g_once_init_leave (&unified_props_type_id__once, unified_props_type_id);
	}
	return unified_props_type_id__once;
}

static void
_vala_unified_props_get_property (GObject * object,
                                  guint property_id,
                                  GValue * value,
                                  GParamSpec * pspec)
{
	UnifiedProps * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_UNIFIED_PROPS, UnifiedProps);
#line 26 "../src/unified_props.vala"
	switch (property_id) {
#line 26 "../src/unified_props.vala"
		case UNIFIED_PROPS_DESKTOP_SETTINGS_PROPERTY:
#line 26 "../src/unified_props.vala"
		g_value_set_object (value, unified_props_get_desktop_settings (self));
#line 26 "../src/unified_props.vala"
		break;
#line 26 "../src/unified_props.vala"
		case UNIFIED_PROPS_IS_SINGLE_CLICK_PROPERTY:
#line 26 "../src/unified_props.vala"
		g_value_set_boolean (value, unified_props_get_is_single_click (self));
#line 26 "../src/unified_props.vala"
		break;
#line 26 "../src/unified_props.vala"
		case UNIFIED_PROPS_MAX_THUMBNAIL_SIZE_PROPERTY:
#line 26 "../src/unified_props.vala"
		g_value_set_int (value, unified_props_get_max_thumbnail_size (self));
#line 26 "../src/unified_props.vala"
		break;
#line 26 "../src/unified_props.vala"
		case UNIFIED_PROPS_CURRENT_CURSOR_PROPERTY:
#line 26 "../src/unified_props.vala"
		g_value_set_object (value, unified_props_get_current_cursor (self));
#line 26 "../src/unified_props.vala"
		break;
#line 26 "../src/unified_props.vala"
		case UNIFIED_PROPS_PREVIOUS_CURSOR_PROPERTY:
#line 26 "../src/unified_props.vala"
		g_value_set_object (value, unified_props_get_previous_cursor (self));
#line 26 "../src/unified_props.vala"
		break;
#line 652 "unified_props.c"
		default:
#line 26 "../src/unified_props.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 26 "../src/unified_props.vala"
		break;
#line 658 "unified_props.c"
	}
}

static void
_vala_unified_props_set_property (GObject * object,
                                  guint property_id,
                                  const GValue * value,
                                  GParamSpec * pspec)
{
	UnifiedProps * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_UNIFIED_PROPS, UnifiedProps);
#line 26 "../src/unified_props.vala"
	switch (property_id) {
#line 26 "../src/unified_props.vala"
		case UNIFIED_PROPS_DESKTOP_SETTINGS_PROPERTY:
#line 26 "../src/unified_props.vala"
		unified_props_set_desktop_settings (self, g_value_get_object (value));
#line 26 "../src/unified_props.vala"
		break;
#line 26 "../src/unified_props.vala"
		case UNIFIED_PROPS_CURRENT_CURSOR_PROPERTY:
#line 26 "../src/unified_props.vala"
		unified_props_set_current_cursor (self, g_value_get_object (value));
#line 26 "../src/unified_props.vala"
		break;
#line 684 "unified_props.c"
		default:
#line 26 "../src/unified_props.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 26 "../src/unified_props.vala"
		break;
#line 690 "unified_props.c"
	}
}

